<?php

/**
 * Written by David Smith
 * nopeer@gmail.com
 *
 * For ATNF CSIRO
 *
 * This file defines some basic configuration parameters
 * - use the DEBUG constant for debugging output, set to 0 on production server
 * - Where smarty is and the directories it uses for templates and compiling
 * - The database parameters username,password etc
 **/




define( 'DEBUG', '1' );

define( 'SMARTY_DIR', './smarty/libs/' );
define( 'SMARTY_TEMPLATES_DIR', './templates/' );
define( 'SMARTY_COMPILE_DIR', './templates_c/' );

require_once SMARTY_DIR . 'Smarty.class.php';

define ( 'DB_HOST', 'localhost' );
define ( 'DB_USER', 'pulsar' );
define ( 'DB_PASSWD', 'lighthouse' );
define ( 'DB_NAME', 'psrchive' );

define( 'OPAL_USER', 'authenticator' );
define( 'OPAL_PASSWD', 'highintegrity' );
define( 'OPAL_DSN', 'serapis.atnf.csiro.au:1521/atoa.atnf.csiro.au' );

define ( 'GREEN_ZONE_DIR', './GreenZone/' );

define( 'PSRHOME', '/nfs/atapplic/pulsar' );
define( 'TEMPO', '/pulsar/psr/runtime/tempo' );
define( 'FIX_LD_LIB', 'env PSRHOME=' . PSRHOME . ' TEMPO=' . TEMPO . ' LD_LIBRARY_PATH=/pulsar/psr/packages/linux/qt/lib:/pulsar/psr/packages/linux/pgplot:/usr/local/lib:/pulsar/psr/packages/linux/qt/lib:/pulsar/psr/packages/linux/pgplot:/usr/local/lib:/nfs/aips++/weekly/linux_gnu/lib:/nfs/atapplic/heasoft-6.4.1/i686-pc-linux-gnu-libc2.3.4/lib:/usr/openwin/lib:/usr/X11R6/lib:/usr/local/gnu/lib:/usr/local/lib:/usr/lib:/lib:/usr/xpg4/lib ' );
define( 'PAV_CMD', PSRHOME . '/bin/pav' );
define( 'PSRCAT_CMD', PSRHOME, '/bin/psrcat' );
define( 'VAP_CMD', PSRHOME . '/bin/vap' );
define( 'PSRADD_CMD', PSRHOME . '/bin/psradd' );
define( 'PSRSH_CMD', PSRHOME . '/bin/psrsh' );

define( 'DATA_DIR', '/pulsar/scratch01/data_archive' );
define( 'WEB_ROOT', '/var/www/vhosts/pulsararchive.atnf.csiro.au/htdocs/' );
define( 'DOWNLOAD_DIR', WEB_ROOT . '/downloads' );
define( 'PLOTS_DIR', WEB_ROOT . '/plots' );

define( 'MAX_ROWS', 1000 );

define( 'PROP_PERIOD', '547' ); // The number of days in 18 months

define( 'DOWNLOAD_LIMIT', 1000 ); // download size limit in megabytes.


?>
